<div class="custom-tab-box">
  <div class="flexbox-column protein-table">
      <div style="display: flex; display: flex; justify-content: space-between">
          <mat-form-field>
              <input matInput (keyup)="applyFilter()" placeholder="Filter" [(ngModel)]="filterString">
          </mat-form-field>
      </div>
      <div style="overflow-y: auto; height: 100%" class="table-border">
          <table mat-table style="width: 100%" [dataSource]="dataSourceKO" multiTemplateDataRows matSort (matSortChange)="sortTableData($event)"
          matSortActive="functionID" matSortDirection="asc">

              <ng-container matColumnDef="functionID">
                  <th mat-header-cell mat-sort-header *matHeaderCellDef>EC number</th>
                  <td mat-cell *matCellDef="let row">{{row.koId}}</td>
              </ng-container>

              <ng-container matColumnDef="names">
                  <th mat-header-cell mat-sort-header *matHeaderCellDef>Names</th>
                  <td mat-cell *matCellDef="let row">{{row.koNames[0]}}</td>
              </ng-container>

              <ng-container matColumnDef="symbols">
                  <th mat-header-cell mat-sort-header *matHeaderCellDef>Symbols</th>
                  <td mat-cell *matCellDef="let row">{{row.koSymbols}}</td>
              </ng-container>

              @for (column of quantificationColumns; track column) {
                <ng-container [matColumnDef]="column.expID">
                  <!-- <th mat-header-cell *matHeaderCellDef mat-sort-header>Quantification: {{column.expID}}</th> -->
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>Quantification</th>
                  <td mat-cell *matCellDef="let row">{{row.quantifications[column.index]}}</td>
                </ng-container>
              }

              <ng-container matColumnDef="checkbox">
                <th mat-header-cell *matHeaderCellDef>
                  <div style="display:flex;flex-direction: column;">
                    <div style="display:flex;justify-content: center;gap: 2px;">
                      <button class="btn btn-outline-secondary protein-table-visibility-button" matTooltip="Disable selected groups"
                        (click)="disableSelectedGroups()"><mat-icon style="transform:scale(0.7) translate(-0.7em,-0.7em)">visibility_off</mat-icon></button>
                      <button class="btn btn-outline-secondary protein-table-visibility-button" matTooltip="Enable selected groups"
                        (click)="enableSelectedGroups()"><mat-icon style="transform:scale(0.7) translate(-0.7em,-0.7em)">visibility</mat-icon></button>
                    </div>
                    <mat-checkbox [(ngModel)]="selectedAll" (change)="onSelectAllGroups()"></mat-checkbox>
                  </div>
                </th>
                <td mat-cell *matCellDef="let row">
                  <mat-checkbox [(ngModel)]="row.isSelected"></mat-checkbox>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
              <!-- <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onClick(row)" [hidden]="groupSelection === GroupSelection.MAINGROUPS && -->
              <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onClick(row)"
                     class="group-row" [ngClass]="{
                       'table-highlight-row': row.isHighlighted,
                       'table-element-row': row.isDisplayed,
                       'table-disabled-row': !row.isDisplayed,
                       'checkbox-selected': row.isSelected,
                       }">
              </tr>
          </table>
          <mat-paginator #paginator style="background: none;" [pageSizeOptions]="[5,10,25,100]" pageSize="10"
              showFirstLastButtons></mat-paginator>
      </div>
  </div>
